Waves v11 Logic Pro X Validation Errors

Havakak

New member
Joined
May 3, 2020
Messages
21
Hi. I've Installed Waves V11 but some plug-ins (IR-L, Abbey Road Plates etc.) do not validate. Any solutions or suggestions?

After several tries I have came to a point where I see some more details about error.

  1. Some plug-ins are shown as "not validated" in the plug-in manager. When I try to validate them manually I get an error which I uploaded in the "Validation Error_1" file.
  2. Some plug-ins are shown as "crashed validation" in the plug-in manager. When I try to validate them manually I get a different error. It is in the "Validation Error_2" file. After I get that error, "auvatool" which Logic uses to validate plug-ins, crashes. I uploaded a screenshot about it. And I also uploaded the crash report in the text file "GenericMacIntel"
Screen Shot 2020-05-08 at 09.21.47.jpg
 

Attachments

  • GenericMacIntel.txt
    96.1 KB · Views: 1
  • Validation Error_1.txt
    1.3 KB · Views: 0
  • Validation Error_2.txt
    10.8 KB · Views: 0
Last edited:

Havakak

New member
Joined
May 3, 2020
Messages
21
I guess that dylib file uses some intel specific CPU instructions. Could It be patched in some way?
 

hubbsound

Donator
Donator
Joined
May 7, 2020
Messages
5
I'm starting to regret my AMD decision. My behringer xtouch doesn't work as a controller anymore in Logic. I have a feeling it's something whacky like this.
 

Jesinth

Member
Joined
Sep 5, 2020
Messages
39
the new cla epic and ecohosphere plugins are working for me !!!!!!!!!!
Screenshot 2020-11-30 at 10.48.50 PM.png
on my 3600x

i am not using mkl_debug_cpu_type=5 because it is not working

these plugins are working fine fine fine

For epic

sudo perl -i -pe 's|\x90\x90\x90\x90\x56\xE8\x6A\x00|\x90\x90\x90\x90\x56\xE8\x3A\x00|sg' /Applications/Waves/Plug-Ins\ V12/CLA\ Epic.bundle/Contents/MacOS/GenericMacIntel.dylib

sudo perl -i -pe 's|\x90\x90\x90\x90\x56\xE8\x4A\x00|\x90\x90\x90\x90\x56\xE8\x1A\x00|sg' /Applications/Waves/Plug-Ins\ V12/CLA\ Epic.bundle/Contents/MacOS/GenericMacIntel.dylib
for echosphere

sudo perl -i -pe 's|\x90\x90\x90\x90\x56\xE8\x6A\x00|\x90\x90\x90\x90\x56\xE8\x3A\x00|sg' /Applications/Waves/Plug-Ins\ V12/CLA\ EchoSphere.bundle/Contents/MacOS/GenericMacIntel.dylib

sudo perl -i -pe 's|\x90\x90\x90\x90\x56\xE8\x4A\x00|\x90\x90\x90\x90\x56\xE8\x1A\x00|sg' Applications/Waves/Plug-Ins\ V12/CLA\ EchoSphere.bundle/Contents/MacOS/GenericMacIntel.dylib

run in the terminal and enjoy
 

Jesinth

Member
Joined
Sep 5, 2020
Messages
39
Hi. I've Installed Waves V11 but some plug-ins (IR-L, Abbey Road Plates etc.) do not validate. Any solutions or suggestions?

After several tries I have came to a point where I see some more details about error.

  1. Some plug-ins are shown as "not validated" in the plug-in manager. When I try to validate them manually I get an error which I uploaded in the "Validation Error_1" file.
  2. Some plug-ins are shown as "crashed validation" in the plug-in manager. When I try to validate them manually I get a different error. It is in the "Validation Error_2" file. After I get that error, "auvatool" which Logic uses to validate plug-ins, crashes. I uploaded a screenshot about it. And I also uploaded the crash report in the text file "GenericMacIntel"
View attachment 145
some plugins that are crashed validity can be patched

link ::::

 
Top Bottom